
Redmine - Defect #6164

email not working

2010-08-18 00:34 - Jon Lambert

Status: Closed Start date: 2010-08-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I cannot get email to work at all.  I don't get any email when registering in spite of the settings being set to do so.  I don't get any

email when using the "test email" link in the notifications settings dialog.  All indications are that everything was successful in flash

messages and there is nothing to indicate otherwise in the log files.

Settings in redmine email.yaml

production:

  delivery_method: :smtp

  smtp_settings:

    address: "smtp-server.oh.rr.com" 

    port: 25

    authentication: :plain

    domain: "atlas" 

 Now outside of Redmine, I can get the following ruby program to work correctly, verifying that my email provider and my rails is

working as expected:

require 'action_mailer'

ActionMailer::Base.smtp_settings = {

  :address => "smtp-server.oh.rr.com",

  :port => 25,

  :authentication => :plain,

  :domain => "atlas" 

}

class Mailer < ActionMailer::Base

  def test_email

     subject "test" 

     from "no-reply@oh.rr.com" 

     recipients "jlsysinc@hotmail.com" 

     body "A test email" 

  end

end

Mailer.deliver_test_email

About your application's environment

Ruby version              1.8.7 (i386-cygwin)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /c/www/redmine-1.0.0

Environment               production

Database adapter          sqlite3

Database schema version   20100705164950
History

#1 - 2011-03-02 18:21 - Etienne Massip

Did you manage to resolve your problem ?

BTW, email.yaml should be named email.yml, isn't it ?

#2 - 2011-03-08 16:01 - Etienne Massip

- Resolution set to No feedback

#3 - 2011-04-18 19:29 - Jon Lambert

Did you manage to resolve your problem ?

 No.

BTW, email.yaml should be named email.yml, isn't it ?

 It is named email.yml

I typed the name of the file incorrectly in the bug report.

I'm attempting to use latest Redmine 1.1.2 installation, unfortunately encountered sqlite3 problems and reported issue #8178.

#4 - 2019-02-10 07:28 - Go MAEDA

- Status changed from New to Closed

- Resolution changed from No feedback to Cant reproduce

Powered by TCPDF (www.tcpdf.org)

2025-05-23 2/2

https://www.redmine.org/issues/8178
http://www.tcpdf.org

